Bug 191361 - 404 page on fedora.redhat.com breaks yum
404 page on fedora.redhat.com breaks yum
Status: CLOSED CURRENTRELEASE
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Websites Team
Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 02:57 EDT by Michael Chapman
Modified: 2009-08-05 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-05 13:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Chapman 2006-05-11 02:57:45 EDT
The "404 Not Found" page on fedora.redhat.com is actually served up with HTTP
error code "200 OK". When yum attempts to retrieve a file from
download.fedora.redhat.com that is not available, a 302 redirect to
fedora.redhat.com/404.html is returned. yum downloads this HTML file as if it
were the real file.

In the particular case I am seeing at the moment,
http://download.fedora.redhat.com/pub/fedora/linux/extras/5/SRPMS/repodata/repomd.xml
is not available. This means yum replaces the locally cached repomd.xml file and
tries to parse it as XML, rather than just moving on to the next download URL.

The 404.html page should be served up with HTTP error code 404 instead.
Comment 1 Patrick Barnes 2006-10-01 01:16:23 EDT
Confirmed.

I'm not sure that we can effectively correct this issue on the current system.  
The setup we use for the PHP scripts prevents passing a 404 status from the 
PHP script.  Apache's error redirect is what is currently being used, and I'm 
not sure if that can be made to handle the job.  We can either find a solution 
or hold off until fedora.redhat.com is killed off.
Comment 2 Ricky Zhou 2009-08-05 13:03:36 EDT
Hi, this should have been fixed a while ago :-)  Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.